      DIMENSION VC(3),X1(3),X2(3),X3(3),X4(3)
      DATA VC /2700.1148, 917.2289, 838.1255/
      T1=273
      T2=283
      FR1=0.5
      FR2=0.5
      C1=1.191062E-5
      C2=1.4387863
      ICH=2
      V=VC(ICH)
      WL=1/V*10000
      B1=PLANCK(T1,V)
      B2=PLANCK(T2,V)
      RAD=(B1*FR1+B2*FR2)/(FR1+FR2)
      X1(ICH)=C2*VC(ICH)
      X2(ICH)=C1*VC(ICH)**3
      X3(ICH)=X2(ICH)/RAD
      X4(ICH)=ALOG(X3(ICH)) 
      TT=X1(ICH)/X4(ICH)
      WRITE (*,1000) WL,T1,B1,FR1,T2,B2,FR2,RAD,TT
 1000   FORMAT (9F7.1)
      END
      FUNCTION PLANCK (T,V) 
c        mW/m**2/ster/cm-1  
      PLANCK = 1.190956E-5 * (V*V*V)/(EXP(1.43879*V/T)-1.) 
      RETURN
      END

      
