c      FUNCTION GEOLAT(XLAT,IDIR)
C *** $Id: geolat.f,v 1.6 1997/10/10 20:17:06 dglo Exp $ ***
C $ FUNCTION GEOLAT(XLAT, IDIR)  (DAS)
C $ GEOCENTRIC/GEODETIC LATITUDE CONVERSION.  FN VAL IN RADIANS.
C $ XLAT = (R) INPUT  LATITUDE (RADIANS)
C $ IDIR = (I) 1 FOR GEODEDIC TO GEOCENTRIC CONVERSION, 2 FOR GEOCENTRIC
C $   TO GEODEDIC CONVERSION
C $$ GEOLAT = CONVERT, LATITUDE, NAVIGATION
C
C-----XLAT, FN VALUE EXPRESSED IN RADIANS AS PER HARRIS SYSTEM
C
      DATA A/6378.388/,B/6356.912/
      XLAT=55
      IDIR=1
      DD=3.1416/180.
      ASQ=A**2
      BSQ=B**2
      CX=COS(XLAT*DD)
      SX=SIN(XLAT*DD)
      IF(IDIR.EQ.2) THEN
        GEOLAT=ATAN2(BSQ*SX,ASQ*CX)/DD
      ELSE
        GEOLAT=ATAN2(ASQ*SX,BSQ*CX)/DD
      ENDIF
      WRITE (*,1000) XLAT, GEOLAT
 1000 FORMAT (2F8.3)
      END
