C
C**********************************************************************
      SUBROUTINE SAZM (TARLAT,TARLON,SATLAT,SATLON,SATAZM)
      REAL*8 STLAT,SSLAT,CTLAT,CSLAT,TT
      DATA  DTR/0.017453293D0/, RTD/57.29577951D0/
C------------------------------------------------------------------
c     0.0 deg azimuth points to the North
c     tarlat tarlon: target latitude and longitude
c     satlat, satlon: satellite latitude and longitude
c     satazm: azimuth towards satellite position
c -----------------------------------------------------------------
      AZMT = 0.0
      SATAZM=0
C...CONVERT DEGREE VALUES TO RADIANS

      DLON=TARLON-SATLON
      STLAT=SIN((90.-TARLAT)*DTR)
      SSLAT=SIN((90.-SATLAT)*DTR)
      CTLAT=COS((90.-TARLAT)*DTR)   
      CSLAT=COS((90.-SATLAT)*DTR)
      CDLON=COS((SATLON-TARLON)*DTR)
      SDLON=SIN((SATLON-TARLON)*DTR)

      TT=CTLAT*CSLAT+STLAT*SSLAT*CDLON
      THT=DACOS(TT)*RTD
      THET=DACOS(TT)
      BB=SSLAT*SDLON/SIN(THET)
      SATAZM=ASIN(BB)*RTD
      DLAT=SATLAT-TARLAT
      IF (DLAT.LT.0) THEN
          IF (SATAZM.GE.0) SATAZM=180-SATAZM
          IF (SATAZM.LT.0) SATAZM=-(180+SATAZM)  ! BRING TO -180:180 RANGE
      ENDIF
      IF (SATAZM.LT.0) SATAZM=360+SATAZM  ! BRING TO 0:360 RANGE
 1000 RETURN
      END
